com.fasterxml.jackson.databind.ser.std

## Class StdKeySerializers.EnumKeySerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<Object>
    - - com.fasterxml.jackson.databind.ser.std.StdKeySerializers.EnumKeySerializer

All Implemented Interfaces:
  JsonFormatVisitable, SchemaAware, Serializable

Enclosing class:
  StdKeySerializers

    public static class StdKeySerializers.EnumKeySerializer
    extends StdSerializer<Object>

Specialized instance to use for Enum keys, as per [databind#1322]

Since:
  2.8
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`JsonSerializer.None`

### Field Summary

Fields
`protected EnumValues` `_values`

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

### Constructor Summary

Constructors
`protected` `StdKeySerializers.EnumKeySerializer(Class<?> enumType, EnumValues values)`

### Method Summary

Methods
`static StdKeySerializers.EnumKeySerializer` `construct(Class<?> enumType, EnumValues enumValues)`
`void` `serialize(Object value, JsonGenerator g, SerializerProvider serializers)` Method that can be called to ask implementation to serialize values of type this serializer handles.

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`acceptJsonFormatVisitor, createObjectNode, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _values

    protected final EnumValues _values

### Constructor Detail

#### StdKeySerializers.EnumKeySerializer

    protected StdKeySerializers.EnumKeySerializer(Class<?> enumType,
                                       EnumValues values)

### Method Detail

#### construct

    public static StdKeySerializers.EnumKeySerializer construct(Class<?> enumType,
                                                EnumValues enumValues)

#### serialize

    public void serialize(Object value,
                 JsonGenerator g,
                 SerializerProvider serializers)
                   throws IOException

Description copied from class: `JsonSerializer`
Method that can be called to ask implementation to serialize values of type this serializer handles.

Specified by:
  `serialize` in class `StdSerializer<Object>`
Parameters:
  `value` - Value to serialize; can not be null.
  `g` - Generator used to output resulting Json content
  `serializers` - Provider that can be used to get serializers for serializing Objects value contains, if any.
Throws:
  `IOException`